Bug 109582 - Performance regressions in Mesa 19.0.0-rc2
Summary: Performance regressions in Mesa 19.0.0-rc2
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/intel (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on: 109216
Blocks: mesa-19.0
  Show dependency treegraph
 
Reported: 2019-02-07 20:40 UTC by LunarG
Modified: 2019-02-14 20:27 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description LunarG 2019-02-07 20:40:29 UTC
--Mesa Version--
mesa-19.0.0-rc1 or mesa-19.0.0rc2

--Hardware--
Intel Skylake Processor

--Description--
There seems to be about a -50% performance regression for Sascha Willems demo's "Compute Shader" and "Compute Particles".

Also, a replay of a trace of dota2 also is experiencing a regression of about -50% in performance. 

These regressions are not seen in the Mesa 18.3 branch.

See https://share.lunarg.com/vulkan/report/2957#performance for reference.
Comment 1 Jason Ekstrand 2019-02-07 21:31:39 UTC
This is likely a duplicate of https://bugs.freedesktop.org/show_bug.cgi?id=109216  I'm not closing it as a duplicate because I haven't done a bisect to double-check it.  If you can try reverting 8fb8ebfbb05d3323481c8ba6d320b3a3580bad99 and see if that helps, that'd be great.
Comment 2 LunarG 2019-02-08 16:18:24 UTC
I tried reverting but I'm still seeing the drop in performance for the Sascha Willems demos.

But the drop on the dota2 trace was fixed.
Comment 3 Eero Tamminen 2019-02-11 09:14:33 UTC
(In reply to LunarG from comment #2)
> I tried reverting but I'm still seeing the drop in performance for the
> Sascha Willems demos.
> 
> But the drop on the dota2 trace was fixed.

If you have older machines than Skylake, e.g. Broadwell one, do you see the compute tests drop also on them?

If not, it could be GEN9+ specific like the couple of other perf drops in 19.0-rc (bug 109517, bug 109505).


(In reply to LunarG from comment #0)
> See https://share.lunarg.com/vulkan/report/2957#performance for reference.

Deferred multisampling drop is also bug 109216.

Terrain / tessellation drop is most likely bug 107510.


Btw. The header on the results page is misleading (each data line lists different baseline version than 19.0.0-rc2):
"Mesa 19.0.0-rc2 Intel Skylake compared to 19.0.0-rc2 Intel Skylake Baseline"

As is the "SW" prefix in the test names for "Sacha Willems" (I first wondered were the tests for a CPU-renderer).  Best would be if test name could be a link to a test description (vulkan demos commit ID, exact command line with resolution, whether it's run in fullscreen or windowed etc).
Comment 4 Eero Tamminen 2019-02-11 17:34:08 UTC
(In reply to LunarG from comment #2)
> I tried reverting but I'm still seeing the drop in performance for the
> Sascha Willems demos.
> 
> But the drop on the dota2 trace was fixed.

Ian's recent patches fix all the regressions in bug 109216, could you try which of the tests have still regressed perf?
Comment 5 Dylan Baker 2019-02-13 22:11:59 UTC
Can you please try with 19.0-rc4 and see if that fixes the issue?
Comment 6 LunarG 2019-02-14 16:24:59 UTC
After running RC4, the "Compute Shader Demo" performance regression looks fixed but we're still seeing it for the "Compute Particles Demo"

https://share.lunarg.com/vulkan/report/2967#performance
Comment 7 Kenneth Graunke 2019-02-14 20:27:01 UTC
50% performance regression in Sascha Willems' "Compute Particles" demo should be fixed by:

commit 39aee57523a02552e7eae7df5da488e535aeb1eb
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Thu Feb 14 08:55:37 2019 -0800

    anv: Put MOCS in the correct location

I think we've got everything, so marking fixed, but feel free to reopen if there are still issues!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.